# FaSTGLETree

Simple christmas tree from 2 PCBs with pseudo-random blinkenlights. Soldering workshop subject.

![3D CAD rendering of an electronics-based christmas tree made from 2 PCBs slotted into each other to give it 3-dimensionality. There's a 3D printed star on top.](render.png)

# Features / Function

- CR2023 coin cell for power
- 1-pos SMD dip switch for on/off
- button for manual shifting
- 3 pin header with jumper for switching between timer and button for shifting
- All ICs are low voltage (down to 2V / 2.5V) variants
  - 555 Timer set at ~.5Hz
  - SIPO 8 bit shift register for patterns
  - Pattern scrambling with 2x4 NAND gates
  - Feedback from 2 NANDs into shift register
- 16 SMD LEDs connected to shift register and NAND outputs
- 1 yellow THT LED always-on on top
  - Transparently 3D-printable star cap

# Learn how to solder SMD:

[See Slides (in German)](docs/FaSTGLET-Part4-Lötworkshop.pdf)

# PCB Manufacturing

I usually order from JLC with the cheapest options, make sure to choose the manual placement of the order number (marker already included in Silkscreen)

# Build instructions

Assembly Guides: [Board A](https://fasttube.de/bestueckung/FaSTGLETree/A.html), [Board B](https://fasttube.de/bestueckung/FaSTGLETree/B.html)

- It's recommended to make sure each PCB is in the best state it can be in first before combining them. Afterwards, soldering becomes more difficult.
- For SMD parts, always solder a single pad/pin first before continuing to others
- Pin 1 markings are the elongated silkscreen line and the dot/line on the IC
- LED directions are not marked. The LED arrow should always point to the tree trunk/inwards (Anode to tip of branch)
- There's no pattern to whether the LED or Resistor is on top on the LED branches. Always check the assembly guide!
- J9 is usually not populated, it's left for external power
- The THT LED atop should have its leads shortened to ~7-10mm
- The THT LED atop is oriented using the flat side of its rim. The Flat side goes to the straight line, the round side to the rounded line
- Keep in mind the Errata section below

# Errata

- The 2024 Version has a missing connection betreen R5 Pin 1 and +BATT. A bodge wire from R5 (outside) to the battery holder solder point is recommended. Otherwise, the push button functionality most likely does not work.

# Cost

~10€ BOM @ 30pcs

# Licensing

Licensed under CERN OHL, see LICENSE.txt
